#pragma once


// COwnerCombo

class TraceEvent;

class COwnerCombo : public CComboBox
{
        DECLARE_DYNAMIC(COwnerCombo)

public:
        COwnerCombo();
        virtual ~COwnerCombo();
        void SetTraceDrawItem(BOOL mode) { TraceDrawItem = mode; }
        BOOL GetTraceDrawItem() { return TraceDrawItem; }

        void SetTraceCompareItem(BOOL mode) { TraceCompareItem = mode; }
        BOOL GetTraceCompareItem() { return TraceCompareItem; }

        void SetTraceMeasureItem(BOOL mode) { TraceMeasureItem = mode; }
        BOOL GetTraceMeasureItem() { return TraceMeasureItem; }

        void SetTraceDeleteItem(BOOL mode) { TraceDeleteItem = mode; }
        BOOL GetTraceDeleteItem() { return TraceDeleteItem; }

protected:
    BOOL TraceDrawItem;
    BOOL TraceCompareItem;
    BOOL TraceMeasureItem;
    BOOL TraceDeleteItem;
    void Log(TraceEvent * e);
    
    DECLARE_MESSAGE_MAP()
    virtual int CompareItem(LPCOMPAREITEMSTRUCT /*lpCompareItemStruct*/);
    virtual void DeleteItem(LPDELETEITEMSTRUCT lpDeleteItemStruct);
    virtual void MeasureItem(LPMEASUREITEMSTRUCT /*lpMeasureItemStruct*/);
    virtual void DrawItem(LPDRAWITEMSTRUCT /*lpDrawItemStruct*/);
    };


