// cbDlg.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "cbDlg.h"
#include "Log.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
        CAboutDlg();

// Dialog Data
        enum { IDD = IDD_ABOUTBOX };

        protected:
        virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
        DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
        CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


// CcbDlg dialog





/****************************************************************************
*                               CcbDlg::CcbDlg
* Inputs:
*       CWnd * pParent:
* Effect: 
*       Constructor
****************************************************************************/

CcbDlg::CcbDlg(CWnd* pParent /*=NULL*/)
        : CDialog(CcbDlg::IDD, pParent)
{
        m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}


/****************************************************************************
*                            CcbDlg::DoDataExchange
* Inputs:
*       CDatExchange * pDX:
* Result: void
*       
* Effect: 
*       Binds controls to variables
****************************************************************************/

void CcbDlg::DoDataExchange(CDataExchange* pDX)
   {
   CDialog::DoDataExchange(pDX);
   DDX_Control(pDX, IDC_LIST, c_List);
   DDX_Control(pDX, IDC_COMBO, c_Combo);
   DDX_Control(pDX, IDC_LOG, c_Log);
   DDX_Control(pDX, IDC_POPULATE, c_Populate);
   DDX_Control(pDX, IDC_RESETCONTENT, c_ResetContent);
   DDX_Control(pDX, IDC_DELETESTRING_0, c_DeleteString0);
   DDX_Control(pDX, IDC_DELETESTRING_I, c_DeleteStringi);
   DDX_Control(pDX, IDC_DELETE_SEL, c_DeleteSel);
   DDX_Control(pDX, IDC_FRAME, c_Frame);
   DDX_Control(pDX, IDC_CREATE, c_Create);
   DDX_Control(pDX, IDC_CONTROL_FRAME, c_ControlFrame);
   DDX_Control(pDX, IDC_USE_COMBOBOX, c_UseComboBox);
   DDX_Control(pDX, IDC_USE_LISTBOX, c_UseListBox);
   DDX_Control(pDX, IDC_OWNERDRAW, c_OwnerDraw);
   DDX_Control(pDX, IDC_HAS_STRINGS, c_HasStrings);
   DDX_Control(pDX, IDC_DELETE, c_Delete);
   DDX_Control(pDX, IDC_SORT, c_Sort);
   DDX_Control(pDX, IDC_TRACE_MEASUREITEM, c_TraceMeasureItem);
   DDX_Control(pDX, IDC_TRACE_DRAWITEM, c_TraceDrawItem);
   DDX_Control(pDX, IDC_TRACE_COMPAREITEM, c_TraceCompareItem);
   DDX_Control(pDX, IDC_CLEAR_LOG, c_ClearLog);
   DDX_Control(pDX, IDC_TRACE_DELETEITEM, c_TraceDeleteItem);
   DDX_Control(pDX, IDC_OWNERDRAWFIXED, c_OwnerDrawFixed);
   DDX_Control(pDX, IDC_OWNERDRAWVARIABLE, c_OwnerDrawVariable);
   DDX_Control(pDX, IDC_CBS_SIMPLE, c_Simple);
   DDX_Control(pDX, IDC_CBS_DROPDOWN, c_DropDown);
   DDX_Control(pDX, IDC_CBS_DROPDOWNLIST, c_DropList);
    }

/****************************************************************************
*                                 Message Map
****************************************************************************/

BEGIN_MESSAGE_MAP(CcbDlg, CDialog)
        ON_WM_SYSCOMMAND()
        ON_WM_PAINT()
        ON_WM_QUERYDRAGICON()
        //}}AFX_MSG_MAP
        ON_REGISTERED_MESSAGE(UWM_LOG, OnLog)
        ON_BN_CLICKED(IDC_POPULATE, &CcbDlg::OnBnClickedPopulate)
        ON_BN_CLICKED(IDC_RESETCONTENT, &CcbDlg::OnBnClickedResetcontent)
        ON_BN_CLICKED(IDC_DELETESTRING_0, &CcbDlg::OnBnClickedDeletestring0)
        ON_BN_CLICKED(IDC_DELETESTRING_I, &CcbDlg::OnBnClickedDeletestringI)
        ON_BN_CLICKED(IDC_DELETE_SEL, &CcbDlg::OnBnClickedDeleteSelection)
        ON_WM_DELETEITEM()
        ON_CBN_SELCHANGE(IDC_COMBO, &CcbDlg::OnCbnSelchangeCombo)
        ON_WM_SIZE()
        ON_WM_GETMINMAXINFO()
        ON_BN_CLICKED(IDC_DELETE, &CcbDlg::OnBnClickedDelete)
        ON_BN_CLICKED(IDC_CREATE, &CcbDlg::OnBnClickedCreate)
        ON_BN_CLICKED(IDC_CLEAR_LOG, &CcbDlg::OnBnClickedClearLog)
        ON_BN_CLICKED(IDC_TRACE_MEASUREITEM, &CcbDlg::OnBnClickedTraceMeasureitem)
        ON_BN_CLICKED(IDC_TRACE_DRAWITEM, &CcbDlg::OnBnClickedTraceDrawitem)
        ON_BN_CLICKED(IDC_TRACE_COMPAREITEM, &CcbDlg::OnBnClickedTraceCompareitem)
        ON_BN_CLICKED(IDC_TRACE_DELETEITEM, &CcbDlg::OnBnClickedTraceDeleteitem)
        ON_BN_CLICKED(IDC_OWNERDRAW, &CcbDlg::OnBnClickedOwnerdraw)
        ON_BN_CLICKED(IDC_USE_COMBOBOX, &CcbDlg::OnBnClickedUseCombobox)
        ON_BN_CLICKED(IDC_USE_LISTBOX, &CcbDlg::OnBnClickedUseListbox)
        ON_BN_CLICKED(IDC_PRINTLOG, &CcbDlg::OnBnClickedPrintlog)
        ON_BN_CLICKED(IDC_SAVELOG, &CcbDlg::OnBnClickedSaveLog)
END_MESSAGE_MAP()

// CcbDlg message handlers

/****************************************************************************
*                             CcbDlg::OnInitDialog
* Result: BOOL
*       
* Effect: 
*       
****************************************************************************/

BOOL CcbDlg::OnInitDialog()
   {
    CDialog::OnInitDialog();

    // Add "About..." menu item to system menu.

    // IDM_ABOUTBOX must be in the system command range.
    ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
    ASSERT(IDM_ABOUTBOX < 0xF000);

    CMenu* pSysMenu = GetSystemMenu(FALSE);
    if (pSysMenu != NULL)
       {
        CString strAboutMenu;
        strAboutMenu.LoadString(IDS_ABOUTBOX);
        if (!strAboutMenu.IsEmpty())
           {
            pSysMenu->AppendMenu(MF_SEPARATOR);
            pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
           }
       }

    // Set the icon for this dialog.  The framework does this automatically
    //  when the application's main window is not a dialog
    SetIcon(m_hIcon, TRUE);                 // Set big icon
    SetIcon(m_hIcon, FALSE);                // Set small icon

    // TODO: Add extra initialization here

    c_Combo.DestroyWindow();
    c_List.DestroyWindow();

    c_TraceDeleteItem.SetCheck(BST_CHECKED);

    CheckRadioButton(IDC_USE_COMBOBOX, IDC_USE_LISTBOX, IDC_USE_COMBOBOX);
    CheckRadioButton(IDC_OWNERDRAWFIXED, IDC_OWNERDRAWVARIABLE, IDC_OWNERDRAWFIXED);
    CheckRadioButton(IDC_CBS_SIMPLE, IDC_CBS_DROPDOWNLIST, IDC_CBS_DROPDOWNLIST);

    updateControls();
        
    return TRUE;  // return TRUE  unless you set the focus to a control
   }

/****************************************************************************
*                             CcbDlg::OnSysCommand
* Inputs:
*       UINT nID:
*       LPARAM lParam:
* Result: void
*       
* Effect: 
*       Handles About box
****************************************************************************/

void CcbDlg::OnSysCommand(UINT nID, LPARAM lParam)
   {
    if ((nID & 0xFFF0) == IDM_ABOUTBOX)
       {
        CAboutDlg dlgAbout;
        dlgAbout.DoModal();
       }
    else
       {
        CDialog::OnSysCommand(nID, lParam);
       }
   }

/****************************************************************************
*                               CcbDlg::OnPaint
* Result: void
*       
* Effect: 
*       If you add a minimize button to your dialog, you will need the code
*       below to draw the icon.  For MFC applications using the document/view
*       model, this is automatically done for you by the framework.
****************************************************************************/

void CcbDlg::OnPaint()
   {
    if (IsIconic())
       {
        CPaintDC dc(this); // device context for painting

        SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

        // Center icon in client rectangle
        int cxIcon = GetSystemMetrics(SM_CXICON);
        int cyIcon = GetSystemMetrics(SM_CYICON);
        CRect rect;
        GetClientRect(&rect);
        int x = (rect.Width() - cxIcon + 1) / 2;
        int y = (rect.Height() - cyIcon + 1) / 2;

        // Draw the icon
        dc.DrawIcon(x, y, m_hIcon);
       }
    else
       {
        CDialog::OnPaint();
       }
   }

/****************************************************************************
*                           CcbDlg::OnQueryDragIcon
* Result: HCURSOR
*       
* Effect: 
*       The system calls this function to obtain the cursor to display while
*       the user drags the minimized window.
****************************************************************************/

HCURSOR CcbDlg::OnQueryDragIcon()
   {
    return static_cast<HCURSOR>(m_hIcon);
   }

/****************************************************************************
*                         CcbDlg::OnBnClickedPopulate
* Result: void
*       
* Effect: 
*       Populates the control
****************************************************************************/

void CcbDlg::OnBnClickedPopulate()
   {
    static const LPCTSTR data[] = {
       _T("One"),
       _T("Two"),
       _T("Three"),
       _T("Four"),
       NULL
    };

    c_Log.AddString(new TraceComment(TraceEvent::None, _T("============ Populating ============")));

    if(c_Combo.GetSafeHwnd() != NULL)
       { /* fill combo */
        for(int i = 0; data[i] != NULL; i++)
           {
            c_Log.AddString(new TraceFormatComment(TraceEvent::None, _T("Adding [%d] \"%s\""), i, data[i]));
            int n = c_Combo.AddString(data[i]);
            c_Log.AddString(new TraceFormatComment(n, _T("Added [%d] \"%s\" at %d"),
               i,
               data[i],
               n
               ));
            if(c_Combo.GetStyle() & CBS_HASSTRINGS)
               { /* has strings */
                c_Combo.SetItemDataPtr(n, (LPVOID)data[i]);
               } /* has strings */
           }
       } /* fill combo */
    else
    if(c_List.GetSafeHwnd() != NULL)
       { /* fill list */
        for(int i = 0; data[i] != NULL; i++)
           { /* add list item */
            c_Log.AddString(new TraceFormatComment(TraceEvent::None, _T("Adding [%d] \"%s\""), i, data[i]));
            int n = c_List.AddString(data[i]);
            c_Log.AddString(new TraceFormatComment(n, _T("Added [%d] \"%s\" at %d"),
               i,
               data[i],
               n
               ));

            if(c_Log.GetStyle() & CBS_HASSTRINGS)
               { /* has strings */
                c_List.SetItemDataPtr(n, (LPVOID)data[i]);
               } /* has strings */
           } /* add list item */
       } /* fill list */
    c_Log.AddString(new TraceComment(TraceEvent::None, _T("============ Populated ============")));
    updateControls();
   }

/****************************************************************************
*                       CcbDlg::OnBnClickedResetcontent
* Result: void
*       
* Effect: 
*       Clears all elements
****************************************************************************/

void CcbDlg::OnBnClickedResetcontent()
    {
     c_Log.AddString(new TraceComment(TraceEvent::None, _T("ResetContent")));
     if(c_Combo.GetSafeHwnd() != NULL)
        { /* reset combo */
         c_Combo.ResetContent();
        } /* reset combo */
     else
     if(c_List.GetSafeHwnd() != NULL)
        { /* reset list */
         c_List.ResetContent();
        } /* reset list */
     updateControls();
    }

/****************************************************************************
*                       CcbDlg::OnBnClickedDeletestring0
* Result: void
*       
* Effect: 
*       Deletes element 0
****************************************************************************/

void CcbDlg::OnBnClickedDeletestring0()
    {
     c_Log.AddString(new TraceComment(TraceEvent::None, _T("DeleteString(0)")));
     if(c_Combo.GetSafeHwnd() != NULL)
        { /* delete combo 0*/
         c_Combo.DeleteString(0);
        } /* delete combo 0*/
     else
     if(c_List.GetSafeHwnd() != NULL)
        { /* delete list */
         c_List.DeleteString(0);
        } /* delete list */
     updateControls();
    }

/****************************************************************************
*                       CcbDlg::OnBnClickedDeletestringI
* Result: void
*       
* Effect: 
*       Deletes all strings backwards
****************************************************************************/

void CcbDlg::OnBnClickedDeletestringI()
    {
     if(c_Combo.GetSafeHwnd() != NULL)
        { /* delete combo items */
         for(int i = c_Combo.GetCount() - 1; i >= 0; i--)
            {
             c_Log.AddString(new TraceFormatComment(i, _T("DeleteString(%d)"), i));
             c_Combo.DeleteString(i);
            }
        } /* delete combo items */
     else
     if(c_List.GetSafeHwnd() != NULL)
        { /* delete list items */
         for(int i = c_List.GetCount() - 1; i >= 0; i--)
            {
             c_Log.AddString(new TraceFormatComment(i, _T("DeleteString(%d)"), i));
             c_List.DeleteString(i);
            }
        } /* delete list items */
     updateControls();
    }

/****************************************************************************
*                          CcbDlg::OnBnClickedDeleteSelection
* Result: void
*       
* Effect: 
*       Deletes the selection
****************************************************************************/

void CcbDlg::OnBnClickedDeleteSelection()
    {
     if(c_Combo.GetSafeHwnd() != NULL)
        { /* delete combo selection */
         int n = c_Combo.GetCurSel();
         if(n < 0)
            return;
         c_Log.AddString(new TraceFormatComment(n, _T("DeleteString(%d)"), n));
         c_Combo.DeleteString(n);
        } /* delete combo selection */
     else
     if(c_List.GetSafeHwnd() != NULL)
        { /* delete list selection */
         int n = c_List.GetCurSel();
         if(n < 0)
            return;
         c_Log.AddString(new TraceFormatComment(n, _T("DeleteString(%d)"), n));
         c_List.DeleteString(n);
        } /* delete list selection */
     updateControls();
    }

/****************************************************************************
*                           CcbDlg::updateControls
* Result: void
*       
* Effect: 
*       Updates controls
****************************************************************************/

void CcbDlg::updateControls()
    {
     //****************
     // Populate
     //****************
     BOOL exists = c_Combo.GetSafeHwnd() != NULL || c_List.GetSafeHwnd() != NULL;
     BOOL empty =  !exists ||
                   ((c_Combo.GetSafeHwnd() != NULL && c_Combo.GetCount() == 0) ||
                    (c_List.GetSafeHwnd() != NULL && c_List.GetCount() == 0));

     BOOL hasSelection = !empty &&
                         ((c_Combo.GetSafeHwnd() != NULL && c_Combo.GetCurSel() >= 0) ||
                          (c_List.GetSafeHwnd() != NULL && c_List.GetCurSel() >= 0));
     
     c_Populate.EnableWindow(exists && empty);

     //****************
     // ResetContent
     //****************
     c_ResetContent.EnableWindow(exists && !empty);

     //****************
     // DeleteString(0)
     //****************
     c_DeleteString0.EnableWindow(exists && !empty);

     //****************
     // DeleteString(i)
     //****************
     c_DeleteStringi.EnableWindow(exists && !empty);

     //****************
     // DeleteSel
     //****************
     c_DeleteSel.EnableWindow(exists && hasSelection);
     

     //****************
     // Delete
     //****************
     c_Delete.EnableWindow(exists);

     //****************
     // Create
     //****************
     c_Create.EnableWindow(!exists);

     //****************
     // Has Strings
     //****************
     c_HasStrings.EnableWindow(c_OwnerDraw.GetCheck() == BST_CHECKED);

     //*****************
     // Owner-draw fixed
     //*****************
     c_OwnerDrawFixed.EnableWindow(c_OwnerDraw.GetCheck() == BST_CHECKED);

     //********************
     // Owner-draw variable
     //********************
     c_OwnerDrawVariable.EnableWindow(c_OwnerDraw.GetCheck() == BST_CHECKED);     

     //****************
     // Simple
     // Dropdown
     // Droplist
     //****************
     c_Simple.EnableWindow(c_UseComboBox.GetCheck() == BST_CHECKED);     
     c_DropDown.EnableWindow(c_UseComboBox.GetCheck() == BST_CHECKED);     
     c_DropList.EnableWindow(c_UseComboBox.GetCheck() == BST_CHECKED);     

    } // CcbDlg::updateControls

/****************************************************************************
*                         CcbDlg::OnCbnSelchangeCombo
* Result: void
*       
* Effect: 
*       Updates controls
****************************************************************************/

void CcbDlg::OnCbnSelchangeCombo()
    {
     updateControls();
    }

/****************************************************************************
*                                CcbDlg::OnSize
* Inputs:
*       UINT nType:
*       int cx:
*       int cy:
* Result: void
*       
* Effect: 
*       Resizes the dialog
****************************************************************************/

void CcbDlg::OnSize(UINT nType, int cx, int cy)
    {
     CDialog::OnSize(nType, cx, cy);

     if(c_Log.GetSafeHwnd() != NULL)
        { /* resize */
         CRect r;
         c_Log.GetWindowRect(&r);
         ScreenToClient(&r);
         c_Log.SetWindowPos(NULL, 0, 0, cx, cy - r.top, SWP_NOMOVE | SWP_NOZORDER);
        } /* resize */
    }

/****************************************************************************
*                           CcbDlg::OnGetMinMaxInfo
* Inputs:
*       MINMAXINFO * lpMMI:
* Result: void
*       
* Effect: 
*       Limits sizing
****************************************************************************/

void CcbDlg::OnGetMinMaxInfo(MINMAXINFO* lpMMI)
    {
     if(c_Frame.GetSafeHwnd() != NULL)
        { /* limit size */
         CRect r;
         c_Frame.GetWindowRect(&r);
         ScreenToClient(&r);
         CalcWindowRect(&r);
         lpMMI->ptMinTrackSize.x = r.Width();
         lpMMI->ptMinTrackSize.y = r.Height();
        } /* limit size */
     else
        CDialog::OnGetMinMaxInfo(lpMMI);
    }

/****************************************************************************
*                          CcbDlg::OnBnClickedDelete
* Result: void
*       
* Effect: 
*       
****************************************************************************/

void CcbDlg::OnBnClickedDelete()
    {
     if(c_Combo.GetSafeHwnd() != NULL)
        { /* delete combo */
         c_Log.AddString(new TraceComment(TraceEvent::None, _T("Destroying ComboBox")));
         c_Combo.DestroyWindow();
         c_Log.AddString(new TraceComment(TraceEvent::None, _T("Destroyed ComboBox")));
        } /* delete combo */
     else
     if(c_List.GetSafeHwnd() != NULL)
        { /* delete list */
         c_Log.AddString(new TraceComment(TraceEvent::None, _T("Destroying ListBox")));
         c_List.DestroyWindow();
         c_Log.AddString(new TraceComment(TraceEvent::None, _T("Destroyed ListBox")));
        } /* delete list */

     updateControls();
    }

/****************************************************************************
*                          CcbDlg::OnBnClickedCreate
* Result: void
*       
* Effect: 
*       Creates the control
****************************************************************************/

void CcbDlg::OnBnClickedCreate()
    {
     CRect r;
     c_ControlFrame.GetWindowRect(&r);
     ScreenToClient(&r);

     if(c_UseComboBox.GetCheck() == BST_CHECKED)
        { /* combo box */
         DWORD style = WS_CHILD |
                       WS_BORDER |
                       WS_VISIBLE;

         CString flags;
         
         if(c_OwnerDraw.GetCheck() == BST_CHECKED)
            { /* owner draw */
             //****************
             // Owner-draw
             //****************
             if(c_OwnerDrawFixed.GetCheck() == BST_CHECKED)
                { /* fixed */
                 style |= CBS_OWNERDRAWFIXED;
                 flags += _T("CBS_OWNERDRAWFIXED");
                } /* fixed */
             else
                { /* variable */
                 style |= CBS_OWNERDRAWVARIABLE;
                 flags += _T("CBS_OWNERDRAWVARIABLE");
                } /* variable */

             //****************
             // HasStrings
             //****************
             if(c_HasStrings.GetCheck() == BST_CHECKED)
                { /* has strings */
                 flags += _T(" | ");
                 flags += _T("CBS_HASSTRINGS");
                 style |= CBS_HASSTRINGS;
                } /* has strings */
            } /* owner draw */

         //****************
         // Combo Box Style
         //****************
         if(c_Simple.GetCheck() == BST_CHECKED)
            { /* simple */
             flags += _T(" | ");
             style |= CBS_SIMPLE;
             flags += _T("CBS_SIMPLE");
            } /* simple */
         else
         if(c_DropDown.GetCheck() == BST_CHECKED)
            { /* dropdown */
             flags += _T(" | ");
             style |= CBS_DROPDOWN;
             flags += _T("CBS_DROPDOWN");
            } /* dropdown */
         else
         if(c_DropList.GetCheck() == BST_CHECKED)
            { /* droplist */
             flags += _T(" | ");
             style |= CBS_DROPDOWNLIST;
             flags += _T("CBS_DROPDOWNLIST");
            } /* droplist */

         //****************
         // Sort
         //****************
         if(c_Sort.GetCheck() == BST_CHECKED)
            { /* sorted */
             style |= CBS_SORT;
             flags += _T(" | ");
             flags += _T("CBS_SORT");
            } /* sorted */

         //****************
         // Create it
         //****************
         c_Log.AddString(new TraceFormatComment(IDC_COMBO, _T("Creating Combo Box: %s"), flags));
         if(!c_Combo.Create(style, r, this, IDC_COMBO))
            { /* failed */
             c_Log.AddString(new TraceFormatError(TraceEvent::None, _T("Failed to create ComboBox")));
            } /* failed */
         else
            { /* succeeded */
             c_Log.AddString(new TraceFormatComment(IDC_COMBO, _T("Created Combo Box: %s"), flags));
             CFont * f = GetFont();
             c_Combo.SetFont(f);
             c_TraceDrawItem.SetCheck(c_Combo.GetTraceDrawItem() ? BST_CHECKED : BST_UNCHECKED);
             c_TraceMeasureItem.SetCheck(c_Combo.GetTraceMeasureItem() ? BST_CHECKED : BST_UNCHECKED);
             c_TraceCompareItem.SetCheck(c_Combo.GetTraceCompareItem() ? BST_CHECKED : BST_UNCHECKED);
             c_TraceDeleteItem.SetCheck(c_Combo.GetTraceDeleteItem() ? BST_CHECKED : BST_UNCHECKED);
            } /* succeeded */
        } /* combo box */
     else
     if(c_UseListBox.GetCheck() == BST_CHECKED)
        { /* list box */
         DWORD style = WS_CHILD |
                       WS_BORDER |
                       WS_VISIBLE;

         CString flags;

         //****************
         // Owner draw
         //****************
         if(c_OwnerDraw.GetCheck() == BST_CHECKED)
            { /* owner draw */
             if(c_OwnerDrawFixed.GetCheck() == BST_CHECKED)
                { /* fixed */
                 style |= LBS_OWNERDRAWFIXED;
                 flags += _T("LBS_OWNERDRAWFIXED");
                } /* fixed */
             else
                { /* variable */
                 style |= LBS_OWNERDRAWVARIABLE;
                 flags += _T("LBS_OWNERDRAWVARIABLE");
                } /* variable */

             if(c_HasStrings.GetCheck() == BST_CHECKED)
                { /* has strings */
                 flags += _T(" | ");
                 flags += _T("LBS_HASSTRINGS");
                 style |= LBS_HASSTRINGS;
                } /* has strings */
            } /* owner draw */

         //****************
         // Sort
         //****************
         if(c_Sort.GetCheck() == BST_CHECKED)
            { /* sorted */
             style |= LBS_SORT;
             flags += _T(" | ");
             flags += _T("LBS_SORT");
            } /* sorted */

         c_Log.AddString(new TraceFormatComment(IDC_LIST, _T("Creating ListBox: %s"), flags));
         if(!c_List.Create(style, r, this, IDC_COMBO))
            { /* failed */
             c_Log.AddString(new TraceFormatError(TraceEvent::None, _T("Failed to create ListBox")));
            } /* failed */
         else
            { /* succeeded */
             c_Log.AddString(new TraceFormatComment(IDC_LIST, _T("Created ListBox: %s"), flags));
             CFont * f = GetFont();
             c_List.SetFont(f);
             c_TraceDrawItem.SetCheck(c_List.GetTraceDrawItem() ? BST_CHECKED : BST_UNCHECKED);
             c_TraceMeasureItem.SetCheck(c_List.GetTraceMeasureItem() ? BST_CHECKED : BST_UNCHECKED);
             c_TraceCompareItem.SetCheck(c_List.GetTraceCompareItem() ? BST_CHECKED : BST_UNCHECKED);
             c_TraceDeleteItem.SetCheck(c_List.GetTraceDeleteItem() ? BST_CHECKED : BST_UNCHECKED);
            } /* succeeded */
        } /* list box */

     updateControls();
    }

/****************************************************************************
*                                CcbDlg::OnLog
* Inputs:
*       WPARAM: (WPARAM)(TraceEvent *)
*       LPARAM:
* Result: LRESULT
*       Logically void, 0, always
* Effect: 
*       Logs the message
****************************************************************************/

LRESULT CcbDlg::OnLog(WPARAM wParam, LPARAM)
    {
     c_Log.AddString((TraceEvent*)wParam);
     return 0;
    } // CcbDlg::OnLog

/****************************************************************************
*                         CcbDlg::OnBnClickedClearLog
* Result: void
*       
* Effect: 
*       Clears the log
****************************************************************************/

void CcbDlg::OnBnClickedClearLog()
    {
     c_Log.ResetContent();
    }

/****************************************************************************
*                     CcbDlg::OnBnClickedTraceMeasureitem
* Result: void
*       
* Effect: 
*       Sets the trace flag in the control
****************************************************************************/

void CcbDlg::OnBnClickedTraceMeasureitem()
    {
     c_Combo.SetTraceMeasureItem(c_TraceMeasureItem.GetCheck() == BST_CHECKED);
     c_List.SetTraceMeasureItem(c_TraceMeasureItem.GetCheck() == BST_CHECKED);
    }

/****************************************************************************
*                       CcbDlg::OnBnClickedTraceDrawitem
* Result: void
*       
* Effect: 
*       Sets the trace flag in the control
****************************************************************************/

void CcbDlg::OnBnClickedTraceDrawitem()
    {
     c_Combo.SetTraceDrawItem(c_TraceDrawItem.GetCheck() == BST_CHECKED);
     c_List.SetTraceDrawItem(c_TraceDrawItem.GetCheck() == BST_CHECKED);
    }

/****************************************************************************
*                     CcbDlg::OnBnClickedTraceCompareitem
* Result: void
*       
* Effect: 
*       Sets the trace flag in the control
****************************************************************************/

void CcbDlg::OnBnClickedTraceCompareitem()
    {
     c_Combo.SetTraceCompareItem(c_TraceCompareItem.GetCheck() == BST_CHECKED);
     c_List.SetTraceCompareItem(c_TraceCompareItem.GetCheck() == BST_CHECKED);
    }

/****************************************************************************
*                      CcbDlg::OnBnClickedTraceDeleteitem
* Result: void
*       
* Effect: 
*       Sets the trace flag in the control
****************************************************************************/

void CcbDlg::OnBnClickedTraceDeleteitem()
    {
     c_Combo.SetTraceDeleteItem(c_TraceDeleteItem.GetCheck() == BST_CHECKED);
     c_List.SetTraceDeleteItem(c_TraceDeleteItem.GetCheck() == BST_CHECKED);
    }


/****************************************************************************
*                         CcbDlg::OnBnClickedOwnerdraw
* Result: void
*       
* Effect: 
*       Forces controls to enable
****************************************************************************/

void CcbDlg::OnBnClickedOwnerdraw()
    {
     updateControls();
    }

/****************************************************************************
*                        CcbDlg::OnBnClickedUseCombobox
* Result: void
*       
* Effect: 
*       Forces controls to enable
****************************************************************************/

void CcbDlg::OnBnClickedUseCombobox()
    {
     updateControls();
    }

/****************************************************************************
*                        CcbDlg::OnBnClickedUseListbox
* Result: void
*       
* Effect: 
*       Forces controls to enable
****************************************************************************/

void CcbDlg::OnBnClickedUseListbox()
    {
     updateControls();
    }


/****************************************************************************
*                         CcbDlg::OnBnClickedPrintlog
* Result: void
*       
* Effect: 
*       Prints the log
****************************************************************************/

void CcbDlg::OnBnClickedPrintlog()
    {
     c_Log.Print();
    }
    
/****************************************************************************
*                         CcbDlg::OnBnClickedSaveLog
* Result: void
*       
* Effect: 
*       Saves the log
****************************************************************************/

void CcbDlg::OnBnClickedSaveLog()
    {
     c_Log.doSave(FALSE);
    } // CcbDlg::OnBnClickedSaveLog

