// cbDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include "Trace.h"
#include "OwnerCombo.h"
#include "OwnerList.h"

// CcbDlg dialog
class CcbDlg : public CDialog
{
// Construction
public:
        CcbDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
        enum { IDD = IDD_CB_DIALOG };

        protected:
        virtual void DoDataExchange(CDataExchange* pDX);        // DDX/DDV support


// Implementation
protected:
        HICON m_hIcon;
        void updateControls();

        // Generated message map functions
        virtual BOOL OnInitDialog();
        afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
        afx_msg void OnPaint();
        afx_msg HCURSOR OnQueryDragIcon();
        DECLARE_MESSAGE_MAP()
        COwnerCombo c_Combo;
        COwnerList  c_List;
        CTraceList c_Log;
        CButton c_Populate;
        CButton c_ResetContent;
        CButton c_DeleteString0;
        CButton c_DeleteStringi;
        CButton c_DeleteSel;
        CStatic c_Frame;
        CButton c_Create;
        CStatic c_ControlFrame;
        CButton c_UseComboBox;
        CButton c_UseListBox;
        CButton c_OwnerDraw;
        CButton c_HasStrings;
        CButton c_Delete;
        CButton c_Sort;
        CButton c_TraceMeasureItem;
        CButton c_TraceDrawItem;
        CButton c_TraceCompareItem;
        CButton c_ClearLog;
        CButton c_TraceDeleteItem;
        CButton c_OwnerDrawFixed;
        CButton c_OwnerDrawVariable;
        CButton c_Simple;
        CButton c_DropDown;
        CButton c_DropList;
protected:
        afx_msg void OnBnClickedPopulate();
        afx_msg void OnBnClickedResetcontent();
        afx_msg void OnBnClickedDeletestring0();
        afx_msg void OnBnClickedDeletestringI();
        afx_msg void OnBnClickedDeleteSelection();
        afx_msg void OnCbnSelchangeCombo();
        afx_msg void OnSize(UINT nType, int cx, int cy);
        afx_msg void OnGetMinMaxInfo(MINMAXINFO* lpMMI);
        afx_msg void OnBnClickedDelete();
        afx_msg void OnBnClickedCreate();
        afx_msg LRESULT OnLog(WPARAM, LPARAM);
        afx_msg void OnBnClickedClearLog();
        afx_msg void OnBnClickedTraceMeasureitem();
        afx_msg void OnBnClickedTraceDrawitem();
        afx_msg void OnBnClickedTraceCompareitem();
        afx_msg void OnBnClickedTraceDeleteitem();
        afx_msg void OnBnClickedOwnerdraw();
        afx_msg void OnBnClickedUseCombobox();
        afx_msg void OnBnClickedUseListbox();
        afx_msg void OnBnClickedPrintlog();
        afx_msg void OnBnClickedSaveLog();
    };
